Loading...
Searching...
No Matches
Ogre::Bullet::RayResultCallback Struct Referenceabstract
Optional Components » Bullet

`#include <OgreBullet.h>`

## Public Member Functions

virtual | ~RayResultCallback ()
virtual void | addSingleResult (const MovableObject *other, float distance)=0
| Called for each object hit by the ray.

## Constructor & Destructor Documentation

## ~RayResultCallback()

virtual Ogre::Bullet::RayResultCallback::~RayResultCallback | ( |  | ) |

inline virtual

## Member Function Documentation

## addSingleResult()

virtual void Ogre::Bullet::RayResultCallback::addSingleResult | ( | const MovableObject * | other,
|  | float | distance )

pure virtual

Called for each object hit by the ray.

Parameters

  other | the other object
  distance | the distance from ray origin to hit point

The documentation for this struct was generated from the following file:

- OgreBullet.h